# Ternoa wallet & Wallet connect

### **Introduction**

**Ternoa Wallet** is a non-custodial crypto wallet created and maintained by **Ternoa**. Powered by React-Native and Polkadot.js, it is built on top of the Ternoa ecosystem to allow users to manage their CAPS and NFTs on the Mainnet and Alphanet networks.

{% hint style="info" %}

#### Download Ternoa Wallet:

[On the PlayStore](https://play.google.com/store/apps/details?id=com.ternoa.wallet.prod###)\
[On the App Store](https://apps.apple.com/us/app/ternoa-wallet/id1562180877#?platform=iphone/)
{% endhint %}

> To learn more about creating a Ternoa Wallet, look at [this section](/getting-started/wallets/ternoa-wallet.md) first.

### Prerequisites

Before getting started, please ensure that you have the following prerequisites in place:

1. [Create a Ternoa account](/getting-started/wallets/ternoa-wallet.md) with [Alphanet CAPS](broken://pages/ej9gceaLIhCN2PgUBh42) from the [faucet.](https://faucet.ternoa.network/)
2. Install and configure your preferred code editor (for this tutorial, we will be using Visual Studio Code \[VSC]).
3. Install [NodeJS v.14+](https://nodejs.org/en/download/), along with NPM.

{% hint style="info" %}
We assume you have already created a new wallet for development purposes with no CAPS on Ternoa Mainnet. You must use a development wallet with *NO REAL MONEY* in it when learning, practicing, and testing.
{% endhint %}

This documentation is aimed at helping developers who create dApps leveraging the Ternoa ecosystem to integrate Ternoa Wallet and Wallet Connect.

### Getting Started

The simplest way to quickstart jumping into Ternoa Wallet and Wallet Connect to build on the blockchain is to look at the starter repository [here](https://github.com/capsule-corp-ternoa/ternoa-wallet?tab=readme-ov-file), and start our tutorial:

On that [repository](https://github.com/capsule-corp-ternoa/ternoa-wallet?tab=readme-ov-file), you will find the following useful resources that will help you with the integration:

* [Tutorial](https://github.com/capsule-corp-ternoa/ternoa-wallet/blob/main/wallet-connect-integration/TUTORIAL.md): A step-by-step guide
* [dApp-example](https://github.com/capsule-corp-ternoa/ternoa-wallet/blob/main/wallet-connect-integration/dapp-example) ([JS](https://github.com/capsule-corp-ternoa/ternoa-wallet/blob/main/wallet-connect-integration/dapp-example) / [TS](https://github.com/capsule-corp-ternoa/ternoa-wallet/blob/main/wallet-connect-integration/dapp-example-ts)): A boilerplate app
* [QR Scan, Deeplink, and Webview](https://github.com/capsule-corp-ternoa/ternoa-wallet/blob/main/wallet-connect-integration/CONNECTION.md): The 3 different ways to connect
* [Transaction request object](https://github.com/capsule-corp-ternoa/ternoa-wallet/blob/main/wallet-connect-integration/REQUEST.md): How to send transactions or sign a message

### Issues

If you are experiencing an issue with Ternoa Wallet, please visit the [issues section](https://github.com/capsule-corp-ternoa/ternoa-wallet/issues). If the issue you are experiencing has not yet been reported, create a new issue.

### Support

If you face any trouble, feel free to reach out to our community engineers in our [Discord](https://discord.gg/fUmBkPpnRu).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ternoa.network/build-1/javascript/wallets/ternoa-wallet-and-wallet-connect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
